require "spec_helper"

RSpec.describe CoreExt::Pathname do
  using described_class

  subject { Pathname.new(file) }

  describe "#safe_read" do
    context "with an existing file" do
      let(:file) { __FILE__ }

      it "returns file contents" do
        expected = File.read(file)
        expect(subject.safe_read).to eq(expected)
      end
    end

    context "with a non existing file" do
      let(:file) { "this-does-not-exist.txt " }

      it "returns file contents" do
        expect(subject.safe_read).to be_nil
      end
    end
  end
end
