require "spec_helper"

RSpec.describe TextEditor::Clipboard do
  subject { described_class.new(editor) }

  let(:editor) { double("editor") }

  describe "#copy" do
    it "delegates to adapter.copy" do
      expect(subject).to receive_message_chain(:adapter, :copy)
      subject.copy
    end
  end

  describe "#paste" do
    it "delegates to adapter.paste" do
      expect(subject).to receive_message_chain(:adapter, :paste)
      subject.paste
    end
  end
end
