require "spec_helper"

RSpec.describe TextEditor::Command::AppendLineAndInsert do
  include CommandHelper

  let(:args) { %w(--flavor vim) }

  before { expect_mode(:normal) }
  after { expect_mode(:insert) }

  describe "#run" do
    context "with an empty buffer" do
      before do
        expect_buffer("")
        expect_cursor(0, 0)
      end

      it "adds newline and moves cursor" do
        subject.run
        expect_buffer("\n")
        expect_cursor(1, 0)
      end
    end

    context "with a non-empty buffer" do
      before do
        update_buffer("123")
        update_cursor(0, 2)
      end

      it "adds newline and moves cursor" do
        subject.run
        expect_buffer("123\n")
        expect_cursor(1, 0)
      end
    end
  end
end
