require "spec_helper"

RSpec.describe TextEditor::Command::ChangeMode do
  include CommandHelper

  describe "#run" do
    before { editor.flavor.modes[:test] = :example }

    it "only switches to a valid mode" do
      expect(editor.mode).not_to eq(:example)
      subject.run(:test)
      expect(editor.mode).to eq(:example)

      expect { subject.run(:invalid) }.to raise_error(KeyError)
    end
  end
end
