require "spec_helper"

RSpec.describe TextEditor::Command::InsertTab do
  include CommandHelper

  describe "#run" do
    before do
      expect_buffer("")
      expect_cursor(0, 0)
    end

    it "adds tab and moves cursor" do
      subject.run
      expect_buffer("  ")
      expect_cursor(0, 2)
    end

    it "adds tab in the middle of string" do
      update_buffer("test")
      update_cursor(0, 2)
      subject.run

      expect_buffer("te  st")
      expect_cursor(0, 4)
    end
  end
end
