require "spec_helper"

RSpec.describe TextEditor::Command::WriteFile do
  include CommandHelper

  describe "#run" do
    context "with a specified file" do
      let(:file) { Pathname.new("test") }

      it "it writes the buffer to the file" do
        expect(window).to receive(:file).and_return(file).exactly(3).times
        expect(file).to receive(:write).with("testing")
        update_buffer("testing")
        subject.run
      end
    end

    context "without a specified file" do
      it "it beeps the terminal" do
        expect(subject.terminal).to receive(:beep)
        subject.run
      end
    end
  end
end
