require "spec_helper"

RSpec.describe TextEditor::Component do
  subject { constant.new(editor) }

  let(:editor) { double("editor") }

  let(:constant) do
    Class.new.instance_exec(described_class) do |mod|
      include mod
    end
  end

  describe "#command" do
    it "delegates to editor.command" do
      expect(subject).to receive_message_chain(:editor, :command)
      subject.command
    end
  end

  describe "#config" do
    it "delegates to editor.config" do
      expect(subject).to receive_message_chain(:editor, :config)
      subject.config
    end
  end

  describe "#editor" do
    it "returns initialized editor" do
      expect(subject.editor).to eq(editor)
    end
  end

  describe "#logger" do
    it "delegates to editor.logger" do
      expect(subject).to receive_message_chain(:editor, :logger)
      subject.logger
    end
  end

  describe "#terminal" do
    it "delegates to editor.terminal" do
      expect(subject).to receive_message_chain(:editor, :terminal)
      subject.terminal
    end
  end
end
