require "spec_helper"

RSpec.describe TextEditor::Configuration::Tab do
  subject { described_class.new }

  describe "#soft" do
    it "should be an accessor" do
      subject.soft = :test
      expect(subject.soft).to eq(:test)
    end
  end

  describe "#to_s" do
    context "with hard tabs" do
      before { subject.soft = false }

      it "returns a tab character" do
        expect(subject.to_s).to eq("\t")
      end
    end

    context "with soft tabs" do
      before { subject.soft = true }

      it "returns tab.width spaces" do
        subject.width = 2
        expect(subject.to_s).to eq("  ")

        subject.width = 3
        expect(subject.to_s).to eq("   ")
      end
    end
  end

  describe "#width" do
    it "should be an accessor" do
      subject.width = :test
      expect(subject.width).to eq(:test)
    end
  end
end
