require "spec_helper"

RSpec.describe TextEditor::Logger do
  subject { described_class.new(editor) }

  let(:editor) { double("editor") }
  let(:log) { double("log") }

  describe "#initialize" do
    it "inherits the top level logger with options from config" do
      expect(editor).to receive_message_chain(:config, :log).and_return(log)
      expect(log).to receive(:file)
      expect(log).to receive(:options)
      expect(subject).to be_a(::Logger)
    end
  end
end
